org.apache.maven.scm.provider.cvslib.command.blame

## Class AbstractCvsBlameCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.blame.AbstractBlameCommand
    - - org.apache.maven.scm.provider.cvslib.command.blame.AbstractCvsBlameCommand

All Implemented Interfaces:
  Command, CvsCommand

Direct Known Subclasses:
  CvsExeBlameCommand, CvsJavaBlameCommand

    public abstract class AbstractCvsBlameCommand
    extends AbstractBlameCommand
    implements CvsCommand

Since:
  1.4
Author:
  Evgeny Mandrikov

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractCvsBlameCommand()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`BlameScmResult` `executeBlameCommand(ScmProviderRepository repo, ScmFileSet fileSet, String filename)`
`protected abstract BlameScmResult` `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl, CvsScmProviderRepository repository)`

### Methods inherited from class org.apache.maven.scm.command.blame.AbstractBlameCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### AbstractCvsBlameCommand

    public AbstractCvsBlameCommand()

### Method Detail

#### executeBlameCommand

    public BlameScmResult executeBlameCommand(ScmProviderRepository repo,
                                              ScmFileSet fileSet,
                                              String filename)
                                       throws ScmException

Specified by:
  `executeBlameCommand` in class `AbstractBlameCommand`
Throws:
  `ScmException`

#### executeCvsCommand

    protected abstract BlameScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl,
                                                        CvsScmProviderRepository repository)
                                                 throws ScmException

Throws:
  `ScmException`